## org.apache.batik.anim
Class AnimationEngine.TargetInfo

    java.lang.Object
      org.apache.batik.anim.AnimationEngine.TargetInfo

Enclosing class:
  AnimationEngine

    protected static class AnimationEngine.TargetInfo

extends java.lang.Object

Class to hold XML and CSS animations for a target element.

Field Summary
`java.util.HashMap` `cssAnimations` Map of CSS attribute names to the corresponding `AnimationEngine.Sandwich` objects.
`java.util.HashMap` `otherAnimations` Map of other animation types to the corresponding `AnimationEngine.Sandwich` objects.
`DoublyIndexedTable` `xmlAnimations` Map of XML attribute names to the corresponding `AnimationEngine.Sandwich` objects.

Constructor Summary
`protected` `AnimationEngine.TargetInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlAnimations

    public DoublyIndexedTable xmlAnimations

  Map of XML attribute names to the corresponding `AnimationEngine.Sandwich` objects.

### cssAnimations

    public java.util.HashMap cssAnimations

  Map of CSS attribute names to the corresponding `AnimationEngine.Sandwich` objects.

### otherAnimations

    public java.util.HashMap otherAnimations

  Map of other animation types to the corresponding `AnimationEngine.Sandwich` objects.

Constructor Detail

### AnimationEngine.TargetInfo

    protected AnimationEngine.TargetInfo()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.